/*===========================================================================*/
/*    */
/*===========================================================================*/
.p-recContact__inner {
    margin: 115px auto;
    max-width: 864px;
    width: 100%;
}

.p-recContact__contents--table {
    display: flex;
    flex-direction: column;
}

.p-recContact__contents--table dl {
    padding-top: 25px;
    padding-bottom: 25px;
    border-bottom: solid 1px #C2C2C2;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.p-recContact__contents--table dl:nth-of-type(1) {
    padding-top: 0;
}

.p-recContact__contents--table dl dt {
    font-size: 16px;
    font-weight: 700;
    line-height: 1.2;
}

.p-recContact__contents--table dl dd {
    max-width: 592px;
    width: 100%;
}

.p-recContact__contents--table dl dd .wpcf7-form-control-wrap {
    width: 100%;
}

.p-recContact__contents--table dl dd .wpcf7-form-control-wrap input {
    padding: 24px 25px 23px;
    background-color: #fff;
    width: 100%;
    border-radius: 4px;
}

.wpcf7-form-control.wpcf7-text {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.wpcf7-form-control.wpcf7-text::placeholder {
    color: #C5C5C5;
}

.wpcf7-form-control.wpcf7-text:focus,
.wpcf7-form-control.wpcf7-textarea:focus,
.wpcf7-form-control.wpcf7-select:focus {
    outline: none !important;
    box-shadow: none !important;
    border: 1px solid #CC0700 !important;
}

.p-recContact__contents--table dl dd.--select {
    position: relative;
}

.p-recContact__contents--table dl dd.--select .wpcf7-form-control-wrap {
    width: 100%;
}

.p-recContact__contents--table dl dd.--select .wpcf7-form-control-wrap select {
    border-radius: 4px;
    border: 1px solid #C2C2C2;
    background: #FFF;
    padding: 24px 25px 23px;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    border-radius: 4px;
    width: 100%;
    color: #121212;
}

.p-recContact__contents--table dl dd.--select::before {
    background: url('../../img/recruit/entry/select-arrow.webp') no-repeat center center/contain;
    content: '';
    height: 11px;
    right: 17px;
    position: absolute;
    top: 27px;
    width: 11px;
    pointer-events: none;
    z-index: 2;
}
.p-recContact__contents--table dl dd.--select::after {
    background-color: #C2C2C2;
    content: '';
    height: 30px;
    right: 45px;
    position: absolute;
    top: 18px;
    width: 1px;
    pointer-events: none;
    z-index: 2;
}

.p-recContact__contents--table dl dd.--select select:has(option:not([value=""]):checked) {
    color: #121212;
}

.p-recContact__contents--table dl dd.--birthday {
    display: flex;
    gap: 46px;
    justify-content: left;
}

.p-recContact__contents--table dl dd.--birthday .--year-wrap .wpcf7-form-control-wrap {
    width: 150px;
    position: relative;
}

.p-recContact__contents--table dl dd.--birthday .--year-wrap .wpcf7-form-control-wrap::before {
    content: '年';
    height: 19px;
    right: -29px;
    position: absolute;
    top: 24px;
    width: 16px;
    color: #121212;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.p-recContact__contents--table dl dd.--birthday .--year-wrap .wpcf7-form-control-wrap::after {
    background: url(../../img/recruit/entry/select-arrow.webp) no-repeat center center/contain;
    content: '';
    height: 11px;
    right: 15px;
    position: absolute;
    top: 27px;
    width: 11px;
}

.p-recContact__contents--table dl dd.--birthday .--year {
    width: 150px;
    padding: 24px 25px 23px;
    background-color: #FFF;
    border-radius: 4px;
    border: #C2C2C2 solid 1px;
}

.p-recContact__contents--table dl dd.--birthday .--month-wrap .wpcf7-form-control-wrap {
    width: 100px !important;
    position: relative;
}

.p-recContact__contents--table dl dd.--birthday .--month-wrap .wpcf7-form-control-wrap::before {
    content: '月';
    height: 19px;
    right: -29px;
    position: absolute;
    top: 24px;
    width: 16px;
    color: #121212;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.p-recContact__contents--table dl dd.--birthday .--month-wrap .wpcf7-form-control-wrap::after {
    background: url(../../img/recruit/entry/select-arrow.webp) no-repeat center center/contain;
    content: '';
    height: 11px;
    right: 15px;
    position: absolute;
    top: 27px;
    width: 11px;
}

.p-recContact__contents--table dl dd.--birthday .--month {
    position: relative;
    width: 100px;
    padding: 24px 25px 23px;
    background-color: #FFF;
    border-radius: 4px;
    border: #C2C2C2 solid 1px;
}

.p-recContact__contents--table dl dd.--birthday .--day-wrap .wpcf7-form-control-wrap {
    width: 100px !important;
    position: relative;
}

.p-recContact__contents--table dl dd.--birthday .--day-wrap .wpcf7-form-control-wrap::before {
    content: '日';
    height: 19px;
    right: -29px;
    position: absolute;
    top: 24px;
    width: 16px;
    color: #121212;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.p-recContact__contents--table dl dd.--birthday .--day-wrap .wpcf7-form-control-wrap::after {
    background: url(../../img/recruit/entry/select-arrow.webp) no-repeat center center/contain;
    content: '';
    height: 11px;
    right: 15px;
    position: absolute;
    top: 27px;
    width: 11px;
}

.p-recContact__contents--table dl dd.--birthday .--day {
    position: relative;
    width: 100px;
    padding: 24px 25px 23px;
    background-color: #FFF;
    border-radius: 4px;
    border: #C2C2C2 solid 1px;
}

.p-recContact__contents--table dl.--radio {
    padding-top: 48px;
    padding-bottom: 48px;
}

.--radio-buttons .wpcf7-radio label {
    display: flex;
    align-items: center;
}

.--radio-buttons input[type="radio"] {
    display: none;
}

.p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control {
    display: flex;
    gap: 20px;
}

.p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label {
    display: flex;
    align-items: center;
    gap: 10px;
}

.p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label input {
    width: 20px;
    height: 20px;
}

.p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label span {
    color: #121212;
    position: relative;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    padding-left: 30px;
}

.p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label span::before {
    background-color: #fff;
    content: '';
    height: 20px;
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    border-radius: 100%;
    border: #C2C2C2 solid 1px;
}

.p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label span::after {
    background-color: #CC0700;
    content: '';
    height: 8px;
    left: 6px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 8px;
    border-radius: 100%;
    opacity: 0;
}

.p-recContact__contents--table dl dd.--radio-buttons input[type="radio"]:checked + span::after {
    opacity: 1;
}

.p-recContact__contents--table dl dd.--birthday select {
    font-feature-settings: 'palt' on;
    font-family: "Bebas Neue";
    font-size: 16px;
    font-weight: 500;
}

.p-recContact__contents--table dl dd.--file {
    position: relative;
    display: inline-block;
    width: 100%;
    max-width: 592px;
}

.p-recContact__contents--table dl dd.--file .wpcf7-form-control-wrap input {
    height: 66px;
}

.p-recContact__contents--table dl dd.--file input[type="file"]::file-selector-button {
    color: transparent;
    background: transparent;
    border: none;
    width: 0;
    padding: 0;
    margin: 0;
}

.p-recContact__contents--table dl dd.--file input[type="file"] {
    color: transparent;
}

.p-recContact__contents--table dl dd.--file .wpcf7-form-control-wrap::before {
    background-color: #C2C2C2;
    content: '';
    height: 30px;
    right: 45px;
    position: absolute;
    top: 18px;
    width: 1px;
    pointer-events: none;
    z-index: 2;
}

.p-recContact__contents--table dl dd.--file .wpcf7-form-control-wrap::after {
    background: url(../../img/recruit/entry/select-arrow.webp) no-repeat center center/contain;
    content: '';
    height: 11px;
    right: 17px;
    position: absolute;
    top: 27px;
    width: 11px;
}

.file-upload-text {
    position: absolute;
    color: #121212;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    top: 24px;
    left: 25px;
    pointer-events: none;
}

.p-recContact__contents--table dl dd .wpcf7-form-control-wrap textarea {
    width: 100%;
    max-width: 592px;
    padding: 24px 25px;
    border-radius: 4px;
    background-color: #fff;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.p-recContact__contents--table dl dd textarea#your-message::placeholder {
    color: #C5C5C5;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
}

.p-recContact__contents--privacy .wpcf7-list-item-label {
    text-align: center;
}

.p-recContact__contents--privacy {
    margin: 40px auto;
}

.p-recContact__contents--privacy-txt {
    font-size: 16px;
    font-weight: 700;
    line-height: 1.2;
    text-align: center;
    color: #121212;
}

.p-recContact__contents--privacy-txt a {
    color: #CC0700;
    position: relative;
}

.p-recContact__contents--privacy-txt a::before {
    background-color: #CC0700;
    content: '';
    height: 1px;
    left: 0;
    position: absolute;
    bottom: -1px;
    width: 100%;
}

.p-recContact__contents--btn {
    margin: 40px auto 0;
    width: 243px;
    overflow: hidden;
}

.p-recContact__btn {
    display: flex;
    width: 100%;
    background-color: #CC0700;
    color: #FFF;
    font-size: 18px;
    font-weight: 700;
    line-height: 1.6; 
    padding: 8px 8px 8px 24px;
    position: relative;
    justify-content: space-between;
    align-items: center;
}

.p-recContact__btn .--arrow-wrapper {
    background-color: #9F0000;
    width: 44px;
    height: 44px;
}

.p-recContact__btn .--arrow-wrapper .--arrow {
    width: 27px;
    height: 27px;
}


.p-recContact__btn input {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
}

.p-recContact__btn--txt .h-txt-line::before {
    background-color: #fff;
}

.p-recContact__contents--table dl dd input,
.p-recContact__contents--table dl dd textarea,
.p-recContact__contents--table dl dd select {
    color: #121212;
}

@media screen and (max-width: 900px) {
    .p-recContact {
        padding: 40px 20px 50px;
    }

    .p-recContact__inner {
        margin: 15px auto;
    }

    .p-recContact__contents--table dl {
        padding-top: 15px;
        padding-bottom: 15px;
        flex-direction: column;
        align-items: flex-start;
    }

    .p-recContact__contents--table dl dt {
        font-size: 14px;
    }

    .p-recContact__contents--table dl dd {
        margin-top: 12px;
        max-width: 100%;
    }

    .p-recContact__contents--table dl dd .wpcf7-form-control-wrap input,
    .p-recContact__contents--table dl dd .wpcf7-form-control-wrap textarea,
    .wpcf7-form-control.wpcf7-text {
        padding: 16px 20px 17px;
        font-size: 14px;
    }

    .p-recContact__contents--table dl dd.--select .wpcf7-form-control-wrap select {
        padding: 16px 20px 17px;
        font-size: 14px;
    }

    .p-recContact__contents--table dl dd.--select::before {
        height: 8px;
        right: 14px;
        width: 8px;
        top: 20px;
    }

    .p-recContact__contents--table dl dd.--select::after {
        height: 24px;
        right: 35px;
        top: 13px;
    }

    .p-recContact__contents--table dl dd.--birthday {
        gap: 34px;
        justify-content: flex-start;
    }

    .p-recContact__contents--table dl dd.--birthday .--year-wrap .wpcf7-form-control-wrap,
    .p-recContact__contents--table dl dd.--birthday .--year {
        width: 105px;
    }

    .p-recContact__contents--table dl dd.--birthday .--month-wrap .wpcf7-form-control-wrap,
    .p-recContact__contents--table dl dd.--birthday .--month,
    .p-recContact__contents--table dl dd.--birthday .--day-wrap .wpcf7-form-control-wrap,
    .p-recContact__contents--table dl dd.--birthday .--day {
        width: 50px !important;
    }

    .p-recContact__contents--table dl dd.--birthday .--year {
        padding: 18px 20px 15px;
    }

    .p-recContact__contents--table dl dd.--birthday .--month,
    .p-recContact__contents--table dl dd.--birthday .--day {
        padding: 18px 10px 15px;
    }

    .p-recContact__contents--table dl dd.--birthday .--year-wrap .wpcf7-form-control-wrap::before,
    .p-recContact__contents--table dl dd.--birthday .--month-wrap .wpcf7-form-control-wrap::before,
    .p-recContact__contents--table dl dd.--birthday .--day-wrap .wpcf7-form-control-wrap::before {
        font-size: 14px;
        right: -20px;
        top: 16px;
    }

    .p-recContact__contents--table dl dd.--birthday .--year-wrap .wpcf7-form-control-wrap::after,
    .p-recContact__contents--table dl dd.--birthday .--month-wrap .wpcf7-form-control-wrap::after,
    .p-recContact__contents--table dl dd.--birthday .--day-wrap .wpcf7-form-control-wrap::after {
        width: 8px;
        height: 8px;
        right: 10px;
        top: 21px;
    }

    .p-recContact__contents--table dl.--radio {
        padding-top: 15px;
        padding-bottom: 30px;
    }

    .p-recContact__contents--table dl.--radio dd.--radio-buttons {
        margin-top: 25px;
    }

    .p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control {
        gap: 12px 22px;
        flex-wrap: wrap;
    }

    .p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label span {
        font-size: 14px;
        padding-left: 25px;
    }

    .p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label span::before {
        width: 17px;
        height: 17px;
    }

    .p-recContact__contents--table dl dd.--radio-buttons .wpcf7-form-control-wrap .wpcf7-form-control label span::after {
        width: 7px;
        height: 7px;
        left: 5px;
    }

    .p-recContact__contents--table dl dd.--file {
        max-width: 100%;
    }

    .p-recContact__contents--table dl dd.--file .wpcf7-form-control-wrap input {
        height: 50px;
    }

    .p-recContact__contents--table dl dd.--file .wpcf7-form-control-wrap::before {
        height: 24px;
        right: 35px;
        top: 13px;
    }

    .p-recContact__contents--table dl dd.--file .wpcf7-form-control-wrap::after {
        height: 8px;
        right: 14px;
        width: 8px;
        top: 20px;
    }

    .p-recContact__contents--table dl dd .wpcf7-form-control-wrap textarea {
        max-width: 100%;
    }

    .file-upload-text {
        font-size: 14px;
        left: 20px;
        top: 16px;
        max-width: calc(100% - 60px);
    }

    .p-recContact__contents--privacy {
        margin: 40px auto;
    }

    .p-recContact__contents--privacy-txt {
        font-size: 14px;
    }

    .p-recContact__contents--btn {
        width: 215px;
        margin: 40px auto 0;
    }

    .p-recContact__btn {
        font-size: 15px;
        padding: 8px 8px 8px 25px;
    }

    .p-recContact__btn .--arrow-wrapper {
        width: 40px;
        height: 40px;
    }
}

.wpcf7-spinner {
    display: none !important;
}